=== modified file 'loggerhead/controllers/annotate_ui.py'
--- loggerhead/controllers/annotate_ui.py	2008-11-18 08:36:47 +0000
+++ loggerhead/controllers/annotate_ui.py	2008-10-25 19:26:49 +0000
@@ -37,31 +37,24 @@
 
     template_path = 'loggerhead.templates.annotate'
 
-    def get_values(self, history, revid, path, kwargs, headers):
+    def get_values(self, h, revid, path, kwargs, headers):
 
-        revid = history.fix_revid(revid)
+        revid = h.fix_revid(revid)
         file_id = kwargs.get('file_id', None)
         if (file_id is None) and (path is None):
             raise HTTPBadRequest('No file_id or filename '
                                  'provided to annotate')
 
         if file_id is None:
-            file_id = history.get_file_id(revid, path)
+            file_id = h.get_file_id(revid, path)
 
         # no navbar for revisions
         navigation = util.Container()
 
         if path is None:
-            path = history.get_path(revid, file_id)
+            path = h.get_path(revid, file_id)
         filename = os.path.basename(path)
 
-        change = history.get_changes([ revid ])[0]
-        # If we're looking at the tip, use head: in the URL instead
-        if revid == history.last_revid:
-            revno_url = 'head:'
-        else:
-            revno_url = history.get_revno(revid)
-
         # Directory Breadcrumbs
         directory_breadcrumbs = (
             util.directory_breadcrumbs(
@@ -71,7 +64,7 @@
 
         # Create breadcrumb trail for the path within the branch
         try:
-            inv = history.get_inventory(revid)
+            inv = h.get_inventory(revid)
         except:
             self.log.exception('Exception fetching changes')
             raise HTTPServerError('Could not fetch changes')
@@ -79,13 +72,12 @@
 
         return {
             'revid': revid,
-            'revno_url': revno_url,
             'file_id': file_id,
             'path': path,
             'filename': filename,
             'navigation': navigation,
-            'change': change,
-            'contents': list(history.annotate_file(file_id, revid)),
+            'change': h.get_changes([revid])[0],
+            'contents': list(h.annotate_file(file_id, revid)),
             'fileview_active': True,
             'directory_breadcrumbs': directory_breadcrumbs,
             'branch_breadcrumbs': branch_breadcrumbs,

=== modified file 'loggerhead/controllers/inventory_ui.py'
--- loggerhead/controllers/inventory_ui.py	2008-11-14 06:58:10 +0000
+++ loggerhead/controllers/inventory_ui.py	2008-10-30 11:59:51 +0000
@@ -74,11 +74,11 @@
         if file_id is None:
             file_id = inv.root.file_id
 
-        # Are we at the top of the tree
-        if inv.is_root(file_id):
-            updir = None
-        else:
+        idpath = inv.get_idpath(file_id)
+        if len(idpath) > 1:
             updir = dirname(path)[1:]
+        else:
+            updir = None
 
         # Directory Breadcrumbs
         directory_breadcrumbs = util.directory_breadcrumbs(
@@ -112,6 +112,7 @@
             sort_type = None
             change = None
             path = "/"
+            idpath = None
             updir = None
             branch_breadcrumbs = []
             filelist = []

=== modified file 'loggerhead/templates/annotate.pt'
--- loggerhead/templates/annotate.pt	2008-11-17 18:08:38 +0000
+++ loggerhead/templates/annotate.pt	2008-08-16 21:53:52 +0000
@@ -36,14 +36,10 @@
                 <a tal:attributes="href python:url(['/revision'], clear=1, start_revid=change.revno)">view revision</a>
             </li>
             <li>
-                <a tal:attributes="href python:url(['/changes'], clear=1, 
-                                    start_revid=change.revno, filter_file_id=file_id)"
-                >view changes to this file</a>
+                <a tal:attributes="href python:url(['/changes'], clear=1, start_revid=change.revno, filter_file_id=file_id)">view changes to this file</a>
             </li>
             <li id="last">
-                <a tal:attributes="href python:url(['/download',
-                                    revno_url, file_id, filename])"
-                >download file</a>
+                <a tal:attributes="href python:url(['/download', change.revno, file_id, filename])">download file</a>
             </li>
         </ul>
 
@@ -51,8 +47,8 @@
         <table id="logentries">
           <tr class="logheader">
             <td class="annoLineTit">Line</td>
-            <td class="annoRevTit">Revision</td>
-            <td class="annoContTit">Contents</td>
+            <td class="annoRevTit">Revision</td>            
+            <td class="annoContTit">Contents</td>                    
           </tr>
 
           <tr tal:repeat="line contents" 

=== modified file 'loggerheadd'
--- loggerheadd	2008-11-24 20:26:26 +0000
+++ loggerheadd	2008-11-08 22:36:58 +0000
@@ -14,14 +14,6 @@
 #   script might not be able to kill loggerhead)
 #
 
-LHUSER=loggerhead
-
-if [ `whoami` = "$LHUSER" ]; then                                                                                   
-    SUDO=""
-else                                                                                                                
-    SUDO="sudo -H -u $LHUSER"
-fi
-
 # If serve-branches is not in your path, you will need to specify the full path:
 SERVE_BRANCHES_CMD=serve-branches
 
@@ -42,7 +34,7 @@
 #
 
 loggerhead_process(){
-    $SUDO pgrep -fl "$START_CMD"
+    pgrep -fl "$START_CMD"
 }
 
 loggerhead_status(){
@@ -66,12 +58,9 @@
     echo "Starting loggerhead.   (See $LOG_FOLDER for details.)"
 
     # make sure the log folder is created
-    if [ ! -d $LOG_FOLDER ]
-    then
-        $SUDO mkdir -p $LOG_FOLDER
-    fi
+    mkdir -p $LOG_FOLDER
     echo "" > $LOG_FILE
-    $SUDO python $START_CMD > $LOG_FILE 2>&1 &
+    python $START_CMD > $LOG_FILE 2>&1 &
 
     #wait a little while of some logging to appear
     log=""
@@ -88,7 +77,7 @@
 
 stop_loggerhead(){
     echo "Stopping loggerhead."
-    $SUDO pkill -f "$START_CMD"
+    pkill -f "$START_CMD"
     loggerhead_status
 }
 

=== modified file 'setup.py'
--- setup.py	2008-11-20 16:55:47 +0000
+++ setup.py	2008-10-24 02:26:05 +0000
@@ -37,29 +37,7 @@
                 "loggerhead/templates"],
     package_data = {"loggerhead": ["templates/*.pt",
                                    "static/css/*.css",
-                                   "static/javascript/*.js",
-                                   "static/javascript/yui/build/anim/*",
-                                   "static/javascript/yui/build/base/*",
-                                   "static/javascript/yui/build/cssbase/*",
-                                   "static/javascript/yui/build/cssgrids/*",
-                                   "static/javascript/yui/build/dd/*",
-                                   "static/javascript/yui/build/dump/*",
-                                   "static/javascript/yui/build/get/*",
-                                   "static/javascript/yui/build/json/*",
-                                   "static/javascript/yui/build/node/*",
-                                   "static/javascript/yui/build/queue/*",
-                                   "static/javascript/yui/build/yui/*",
-                                   "static/javascript/yui/build/attribute/*",
-                                   "static/javascript/yui/build/cookie/*",
-                                   "static/javascript/yui/build/cssfonts/*",
-                                   "static/javascript/yui/build/cssreset/*",
-                                   "static/javascript/yui/build/dom/*",
-                                   "static/javascript/yui/build/event/*",
-                                   "static/javascript/yui/build/io/*",
-                                   "static/javascript/yui/build/loader/*",
-                                   "static/javascript/yui/build/oop/*",
-                                   "static/javascript/yui/build/substitute/*",
-                                   "static/javascript/yui/build/yui-base/*",
+                                   "static/javascript/*",
                                    "static/images/*"]},
     data_files = [
         ('share/man/man1', ['start-loggerhead.1',

